MIC(1)

NAME
mic - manual page for mic 4.10.0

DESCRIPTION

    Mellanox EEPROM management/burning tool. -----------------------------------------------

Usage: ------

    mic [SWITCHES]

  Short switches summary:

-help

    Print this mesage

-nowarn

    Do not print some warnings

-nofs

    Resulting image will not be failsafe

-version

    Print version number

-fw <FW image filename>

    Specify input file with the FW

-conf
    <input config file filename>

    Read configuration (.INI) file

-wrconf
    <output config file filename>

    Write configuration (.INI) file

-wrimage
    <output EEPROM image filename>

    Write resulting image to file.

-format
    <output EEPROM image format>

    Output image format. May be IMAGE, DWORDS or BINARY. Default is IMAGE.

-fwver

    Print version of the given fw and exit

-exp_rom <expansion rom file>

    Integrate the given expention file (in .img or .bin/.rom format) to the firmware image (HCA's only).

-no_vsd_swap

    Do not swap the VPD field in a pointer section. Not needed in most cases

-hash_file <input hash file filename>

    Specify hash file that would be used to debug the firmware

-prof_file <input list of configuration profiles filename>

    Specify list of configuration profiles file in JSON format

-GROUP.PARAM <Value>

    Set value to specified parameter.

-vpd_r <file> defines the source vpd file.

-get_sect <section name> <file> Extract a section from the mlx file.

SEE ALSO
The full documentation for mic is maintained as a Texinfo manual. If the info and mic programs are properly installed at your site, the command

    info mic

should give you access to the complete manual.